{
  "private": true,
  "version": "0.14.0",
  "license": "MIT",
  "workspaces": [
    "packages/*"
  ],
  "devDependencies": {
    "@babel/cli": "^7.19.3",
    "@babel/core": "^7.20.5",
    "@babel/preset-env": "^7.20.2",
    "@babel/preset-typescript": "^7.18.6",
    "@rollup/plugin-typescript": "^10.0.1",
    "@types/jest": "^29.2.4",
    "@types/uuid": "^9.0.7",
    "@typescript-eslint/eslint-plugin": "^5.45.1",
    "@typescript-eslint/parser": "^5.45.1",
    "babel-jest": "^29.3.1",
    "babel-preset-env": "^1.6.1",
    "eslint": "^8.29.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-jest": "^27.1.6",
    "eslint-plugin-prettier": "^4.2.1",
    "husky": "^8.0.0",
    "jest": "^29.3.1",
    "jest-environment-jsdom": "^29.3.1",
    "jest-expect-message": "^1.1.3",
    "jest-junit": "^15.0.0",
    "jest-mock-extended": "^3.0.3",
    "jsdom": "^22.0.0",
    "prettier": "^2.8.0",
    "prettier-eslint": "^15.0.1",
    "rollup": "^3.5.1",
    "rollup-plugin-babel": "^4.4.0",
    "rollup-plugin-commonjs": "^10.1.0",
    "rollup-plugin-node-resolve": "^5.2.0",
    "rollup-plugin-uglify": "^6.0.4",
    "tslib": "^2.4.1",
    "typescript": "^4.9.3"
  },
  "browserslist": "> 0.25%, not dead",
  "scripts": {
    "bundle": "BABEL_ENV=production-bundle rollup --config ./rollup.base.js",
    "bundle:watch": "BABEL_ENV=production-bundle rollup --config ./rollup.base.js --watch",
    "bundle:production": "BABEL_ENV=production-bundle rollup --config ./rollup.prod.js",
    "build": "BABEL_ENV=production babel ./packages/**/src -d $TARGET --ignore **/__tests__/**,**/bundle/**",
    "test": "BABEL_ENV=test jest --config=./.jestconfig.json",
    "test:watch": "BABEL_ENV=test jest --config=./.jestconfig.dev.json --watch",
    "clean": "rimraf dist coverage",
    "prepare": "husky install",
    "lint": "eslint packages/**",
    "lint:fix": "eslint --fix packages/**",
    "generate:types": "tsc"
  },
  "dependencies": {
    "core-js": "^3.26.1",
    "uuid": "^9.0.1"
  }
}
